package sharin.doc.builder.xhtml1;

import sharin.doc.builder.DocBuilder;
import sharin.doc.builder.Elem;

public class Xhtml1DocBuilder implements DocBuilder {

    public static class Static {

        private static Xhtml1DocBuilder instance = new Xhtml1DocBuilder();

        public static Elem elem(String name, Object... nodes) {
            return instance.elem(name, nodes);
        }

        public static AElem a(Object... nodes) {
            return instance.a(nodes);
        }

        public static AbbrElem abbr(Object... nodes) {
            return instance.abbr(nodes);
        }

        public static AcronymElem acronym(Object... nodes) {
            return instance.acronym(nodes);
        }

        public static AddressElem address(Object... nodes) {
            return instance.address(nodes);
        }

        public static AppletElem applet(Object... nodes) {
            return instance.applet(nodes);
        }

        public static AreaElem area(Object... nodes) {
            return instance.area(nodes);
        }

        public static BElem b(Object... nodes) {
            return instance.b(nodes);
        }

        public static BaseElem base(Object... nodes) {
            return instance.base(nodes);
        }

        public static BasefontElem basefont(Object... nodes) {
            return instance.basefont(nodes);
        }

        public static BdoElem bdo(Object... nodes) {
            return instance.bdo(nodes);
        }

        public static BigElem big(Object... nodes) {
            return instance.big(nodes);
        }

        public static BlockquoteElem blockquote(Object... nodes) {
            return instance.blockquote(nodes);
        }

        public static BodyElem body(Object... nodes) {
            return instance.body(nodes);
        }

        public static BrElem br(Object... nodes) {
            return instance.br(nodes);
        }

        public static ButtonElem button(Object... nodes) {
            return instance.button(nodes);
        }

        public static CaptionElem caption(Object... nodes) {
            return instance.caption(nodes);
        }

        public static CenterElem center(Object... nodes) {
            return instance.center(nodes);
        }

        public static CiteElem cite(Object... nodes) {
            return instance.cite(nodes);
        }

        public static CodeElem code(Object... nodes) {
            return instance.code(nodes);
        }

        public static ColElem col(Object... nodes) {
            return instance.col(nodes);
        }

        public static ColgroupElem colgroup(Object... nodes) {
            return instance.colgroup(nodes);
        }

        public static DdElem dd(Object... nodes) {
            return instance.dd(nodes);
        }

        public static DelElem del(Object... nodes) {
            return instance.del(nodes);
        }

        public static DfnElem dfn(Object... nodes) {
            return instance.dfn(nodes);
        }

        public static DirElem dir(Object... nodes) {
            return instance.dir(nodes);
        }

        public static DivElem div(Object... nodes) {
            return instance.div(nodes);
        }

        public static DlElem dl(Object... nodes) {
            return instance.dl(nodes);
        }

        public static DtElem dt(Object... nodes) {
            return instance.dt(nodes);
        }

        public static EmElem em(Object... nodes) {
            return instance.em(nodes);
        }

        public static FieldsetElem fieldset(Object... nodes) {
            return instance.fieldset(nodes);
        }

        public static FontElem font(Object... nodes) {
            return instance.font(nodes);
        }

        public static FormElem form(Object... nodes) {
            return instance.form(nodes);
        }

        public static FrameElem frame(Object... nodes) {
            return instance.frame(nodes);
        }

        public static FramesetElem frameset(Object... nodes) {
            return instance.frameset(nodes);
        }

        public static H1Elem h1(Object... nodes) {
            return instance.h1(nodes);
        }

        public static H2Elem h2(Object... nodes) {
            return instance.h2(nodes);
        }

        public static H3Elem h3(Object... nodes) {
            return instance.h3(nodes);
        }

        public static H4Elem h4(Object... nodes) {
            return instance.h4(nodes);
        }

        public static H5Elem h5(Object... nodes) {
            return instance.h5(nodes);
        }

        public static H6Elem h6(Object... nodes) {
            return instance.h6(nodes);
        }

        public static HeadElem head(Object... nodes) {
            return instance.head(nodes);
        }

        public static HrElem hr(Object... nodes) {
            return instance.hr(nodes);
        }

        public static HtmlElem html(Object... nodes) {
            return instance.html(nodes);
        }

        public static IElem i(Object... nodes) {
            return instance.i(nodes);
        }

        public static IframeElem iframe(Object... nodes) {
            return instance.iframe(nodes);
        }

        public static ImgElem img(Object... nodes) {
            return instance.img(nodes);
        }

        public static InputElem input(Object... nodes) {
            return instance.input(nodes);
        }

        public static InsElem ins(Object... nodes) {
            return instance.ins(nodes);
        }

        public static IsindexElem isindex(Object... nodes) {
            return instance.isindex(nodes);
        }

        public static KbdElem kbd(Object... nodes) {
            return instance.kbd(nodes);
        }

        public static LabelElem label(Object... nodes) {
            return instance.label(nodes);
        }

        public static LegendElem legend(Object... nodes) {
            return instance.legend(nodes);
        }

        public static LiElem li(Object... nodes) {
            return instance.li(nodes);
        }

        public static LinkElem link(Object... nodes) {
            return instance.link(nodes);
        }

        public static MapElem map(Object... nodes) {
            return instance.map(nodes);
        }

        public static MenuElem menu(Object... nodes) {
            return instance.menu(nodes);
        }

        public static MetaElem meta(Object... nodes) {
            return instance.meta(nodes);
        }

        public static NoframesElem noframes(Object... nodes) {
            return instance.noframes(nodes);
        }

        public static NoscriptElem noscript(Object... nodes) {
            return instance.noscript(nodes);
        }

        public static ObjectElem object(Object... nodes) {
            return instance.object(nodes);
        }

        public static OlElem ol(Object... nodes) {
            return instance.ol(nodes);
        }

        public static OptgroupElem optgroup(Object... nodes) {
            return instance.optgroup(nodes);
        }

        public static OptionElem option(Object... nodes) {
            return instance.option(nodes);
        }

        public static PElem p(Object... nodes) {
            return instance.p(nodes);
        }

        public static ParamElem param(Object... nodes) {
            return instance.param(nodes);
        }

        public static PreElem pre(Object... nodes) {
            return instance.pre(nodes);
        }

        public static QElem q(Object... nodes) {
            return instance.q(nodes);
        }

        public static SElem s(Object... nodes) {
            return instance.s(nodes);
        }

        public static SampElem samp(Object... nodes) {
            return instance.samp(nodes);
        }

        public static ScriptElem script(Object... nodes) {
            return instance.script(nodes);
        }

        public static SelectElem select(Object... nodes) {
            return instance.select(nodes);
        }

        public static SmallElem small(Object... nodes) {
            return instance.small(nodes);
        }

        public static SpanElem span(Object... nodes) {
            return instance.span(nodes);
        }

        public static StrikeElem strike(Object... nodes) {
            return instance.strike(nodes);
        }

        public static StrongElem strong(Object... nodes) {
            return instance.strong(nodes);
        }

        public static StyleElem style(Object... nodes) {
            return instance.style(nodes);
        }

        public static SubElem sub(Object... nodes) {
            return instance.sub(nodes);
        }

        public static SupElem sup(Object... nodes) {
            return instance.sup(nodes);
        }

        public static TableElem table(Object... nodes) {
            return instance.table(nodes);
        }

        public static TbodyElem tbody(Object... nodes) {
            return instance.tbody(nodes);
        }

        public static TdElem td(Object... nodes) {
            return instance.td(nodes);
        }

        public static TextareaElem textarea(Object... nodes) {
            return instance.textarea(nodes);
        }

        public static TfootElem tfoot(Object... nodes) {
            return instance.tfoot(nodes);
        }

        public static ThElem th(Object... nodes) {
            return instance.th(nodes);
        }

        public static TheadElem thead(Object... nodes) {
            return instance.thead(nodes);
        }

        public static TitleElem title(Object... nodes) {
            return instance.title(nodes);
        }

        public static TrElem tr(Object... nodes) {
            return instance.tr(nodes);
        }

        public static TtElem tt(Object... nodes) {
            return instance.tt(nodes);
        }

        public static UElem u(Object... nodes) {
            return instance.u(nodes);
        }

        public static UlElem ul(Object... nodes) {
            return instance.ul(nodes);
        }

        public static VarElem var(Object... nodes) {
            return instance.var(nodes);
        }
    }

    public Elem elem(String name, Object... nodes) {
        return new Elem(name, nodes);
    }

    public AbbrElem abbr(Object... nodes) {
        return new AbbrElem(nodes);
    }

    public AcronymElem acronym(Object... nodes) {
        return new AcronymElem(nodes);
    }

    public AddressElem address(Object... nodes) {
        return new AddressElem(nodes);
    }

    public AElem a(Object... nodes) {
        return new AElem(nodes);
    }

    public AppletElem applet(Object... nodes) {
        return new AppletElem(nodes);
    }

    public AreaElem area(Object... nodes) {
        return new AreaElem(nodes);
    }

    public BaseElem base(Object... nodes) {
        return new BaseElem(nodes);
    }

    public BasefontElem basefont(Object... nodes) {
        return new BasefontElem(nodes);
    }

    public BdoElem bdo(Object... nodes) {
        return new BdoElem(nodes);
    }

    public BElem b(Object... nodes) {
        return new BElem(nodes);
    }

    public BigElem big(Object... nodes) {
        return new BigElem(nodes);
    }

    public BlockquoteElem blockquote(Object... nodes) {
        return new BlockquoteElem(nodes);
    }

    public BodyElem body(Object... nodes) {
        return new BodyElem(nodes);
    }

    public BrElem br(Object... nodes) {
        return new BrElem(nodes);
    }

    public ButtonElem button(Object... nodes) {
        return new ButtonElem(nodes);
    }

    public CaptionElem caption(Object... nodes) {
        return new CaptionElem(nodes);
    }

    public CenterElem center(Object... nodes) {
        return new CenterElem(nodes);
    }

    public CiteElem cite(Object... nodes) {
        return new CiteElem(nodes);
    }

    public CodeElem code(Object... nodes) {
        return new CodeElem(nodes);
    }

    public ColElem col(Object... nodes) {
        return new ColElem(nodes);
    }

    public ColgroupElem colgroup(Object... nodes) {
        return new ColgroupElem(nodes);
    }

    public DdElem dd(Object... nodes) {
        return new DdElem(nodes);
    }

    public DelElem del(Object... nodes) {
        return new DelElem(nodes);
    }

    public DfnElem dfn(Object... nodes) {
        return new DfnElem(nodes);
    }

    public DirElem dir(Object... nodes) {
        return new DirElem(nodes);
    }

    public DivElem div(Object... nodes) {
        return new DivElem(nodes);
    }

    public DlElem dl(Object... nodes) {
        return new DlElem(nodes);
    }

    public DtElem dt(Object... nodes) {
        return new DtElem(nodes);
    }

    public EmElem em(Object... nodes) {
        return new EmElem(nodes);
    }

    public FieldsetElem fieldset(Object... nodes) {
        return new FieldsetElem(nodes);
    }

    public FontElem font(Object... nodes) {
        return new FontElem(nodes);
    }

    public FormElem form(Object... nodes) {
        return new FormElem(nodes);
    }

    public FrameElem frame(Object... nodes) {
        return new FrameElem(nodes);
    }

    public FramesetElem frameset(Object... nodes) {
        return new FramesetElem(nodes);
    }

    public H1Elem h1(Object... nodes) {
        return new H1Elem(nodes);
    }

    public H2Elem h2(Object... nodes) {
        return new H2Elem(nodes);
    }

    public H3Elem h3(Object... nodes) {
        return new H3Elem(nodes);
    }

    public H4Elem h4(Object... nodes) {
        return new H4Elem(nodes);
    }

    public H5Elem h5(Object... nodes) {
        return new H5Elem(nodes);
    }

    public H6Elem h6(Object... nodes) {
        return new H6Elem(nodes);
    }

    public HeadElem head(Object... nodes) {
        return new HeadElem(nodes);
    }

    public HrElem hr(Object... nodes) {
        return new HrElem(nodes);
    }

    public HtmlElem html(Object... nodes) {
        return new HtmlElem(nodes);
    }

    public IElem i(Object... nodes) {
        return new IElem(nodes);
    }

    public IframeElem iframe(Object... nodes) {
        return new IframeElem(nodes);
    }

    public ImgElem img(Object... nodes) {
        return new ImgElem(nodes);
    }

    public InputElem input(Object... nodes) {
        return new InputElem(nodes);
    }

    public InsElem ins(Object... nodes) {
        return new InsElem(nodes);
    }

    public IsindexElem isindex(Object... nodes) {
        return new IsindexElem(nodes);
    }

    public KbdElem kbd(Object... nodes) {
        return new KbdElem(nodes);
    }

    public LabelElem label(Object... nodes) {
        return new LabelElem(nodes);
    }

    public LegendElem legend(Object... nodes) {
        return new LegendElem(nodes);
    }

    public LiElem li(Object... nodes) {
        return new LiElem(nodes);
    }

    public LinkElem link(Object... nodes) {
        return new LinkElem(nodes);
    }

    public MapElem map(Object... nodes) {
        return new MapElem(nodes);
    }

    public MenuElem menu(Object... nodes) {
        return new MenuElem(nodes);
    }

    public MetaElem meta(Object... nodes) {
        return new MetaElem(nodes);
    }

    public NoframesElem noframes(Object... nodes) {
        return new NoframesElem(nodes);
    }

    public NoscriptElem noscript(Object... nodes) {
        return new NoscriptElem(nodes);
    }

    public ObjectElem object(Object... nodes) {
        return new ObjectElem(nodes);
    }

    public OlElem ol(Object... nodes) {
        return new OlElem(nodes);
    }

    public OptgroupElem optgroup(Object... nodes) {
        return new OptgroupElem(nodes);
    }

    public OptionElem option(Object... nodes) {
        return new OptionElem(nodes);
    }

    public ParamElem param(Object... nodes) {
        return new ParamElem(nodes);
    }

    public PElem p(Object... nodes) {
        return new PElem(nodes);
    }

    public PreElem pre(Object... nodes) {
        return new PreElem(nodes);
    }

    public QElem q(Object... nodes) {
        return new QElem(nodes);
    }

    public SampElem samp(Object... nodes) {
        return new SampElem(nodes);
    }

    public ScriptElem script(Object... nodes) {
        return new ScriptElem(nodes);
    }

    public SelectElem select(Object... nodes) {
        return new SelectElem(nodes);
    }

    public SElem s(Object... nodes) {
        return new SElem(nodes);
    }

    public SmallElem small(Object... nodes) {
        return new SmallElem(nodes);
    }

    public SpanElem span(Object... nodes) {
        return new SpanElem(nodes);
    }

    public StrikeElem strike(Object... nodes) {
        return new StrikeElem(nodes);
    }

    public StrongElem strong(Object... nodes) {
        return new StrongElem(nodes);
    }

    public StyleElem style(Object... nodes) {
        return new StyleElem(nodes);
    }

    public SubElem sub(Object... nodes) {
        return new SubElem(nodes);
    }

    public SupElem sup(Object... nodes) {
        return new SupElem(nodes);
    }

    public TableElem table(Object... nodes) {
        return new TableElem(nodes);
    }

    public TbodyElem tbody(Object... nodes) {
        return new TbodyElem(nodes);
    }

    public TdElem td(Object... nodes) {
        return new TdElem(nodes);
    }

    public TextareaElem textarea(Object... nodes) {
        return new TextareaElem(nodes);
    }

    public TfootElem tfoot(Object... nodes) {
        return new TfootElem(nodes);
    }

    public TheadElem thead(Object... nodes) {
        return new TheadElem(nodes);
    }

    public ThElem th(Object... nodes) {
        return new ThElem(nodes);
    }

    public TitleElem title(Object... nodes) {
        return new TitleElem(nodes);
    }

    public TrElem tr(Object... nodes) {
        return new TrElem(nodes);
    }

    public TtElem tt(Object... nodes) {
        return new TtElem(nodes);
    }

    public UElem u(Object... nodes) {
        return new UElem(nodes);
    }

    public UlElem ul(Object... nodes) {
        return new UlElem(nodes);
    }

    public VarElem var(Object... nodes) {
        return new VarElem(nodes);
    }
}
